Cancel the request for the Hanko Authenticator
curl --request DELETE \
--url https://{your_hanko_authenticator_instance}/v1/uaf/requests/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{your_hanko_authenticator_instance}/v1/uaf/requests/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{your_hanko_authenticator_instance}/v1/uaf/requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{your_hanko_authenticator_instance}/v1/uaf/requests/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{your_hanko_authenticator_instance}/v1/uaf/requests/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://{your_hanko_authenticator_instance}/v1/uaf/requests/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{your_hanko_authenticator_instance}/v1/uaf/requests/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"operation": "AUTH",
"username": "<string>",
"userId": "<string>",
"status": "PENDING",
"createdAt": "2023-11-07T05:31:56Z",
"validUntil": "2023-11-07T05:31:56Z",
"relyingParty": {
"id": "<string>",
"name": "<string>",
"appId": "<string>",
"icon": "<string>"
},
"links": [
{
"rel": "<string>",
"method": "<string>",
"href": "<string>"
}
],
"request": "<string>",
"deviceID": "<string>",
"clientData": {
"remoteAddress": "<string>",
"userAgent": "<string>"
},
"location": {
"country": "<string>",
"region": "<string>",
"city": "<string>"
},
"transaction": "<string>",
"device": {
"deviceId": "<string>",
"keyName": "<string>"
},
"isSecondFactorOnly": true,
"error": {
"code": 123,
"reason": "<string>"
}
}{
"code": 401,
"message": "Unauthorized"
}{
"code": 404,
"messsage": "Not Found."
}{
"code": 500,
"message": "Internal Server Error"
}Hanko Authenticator
Cancel the request for the Hanko Authenticator
Cancel a previously created Hanko Authenticator operation.
DELETE
/
v1
/
uaf
/
requests
/
{id}
Cancel the request for the Hanko Authenticator
curl --request DELETE \
--url https://{your_hanko_authenticator_instance}/v1/uaf/requests/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{your_hanko_authenticator_instance}/v1/uaf/requests/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{your_hanko_authenticator_instance}/v1/uaf/requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{your_hanko_authenticator_instance}/v1/uaf/requests/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{your_hanko_authenticator_instance}/v1/uaf/requests/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://{your_hanko_authenticator_instance}/v1/uaf/requests/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{your_hanko_authenticator_instance}/v1/uaf/requests/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"operation": "AUTH",
"username": "<string>",
"userId": "<string>",
"status": "PENDING",
"createdAt": "2023-11-07T05:31:56Z",
"validUntil": "2023-11-07T05:31:56Z",
"relyingParty": {
"id": "<string>",
"name": "<string>",
"appId": "<string>",
"icon": "<string>"
},
"links": [
{
"rel": "<string>",
"method": "<string>",
"href": "<string>"
}
],
"request": "<string>",
"deviceID": "<string>",
"clientData": {
"remoteAddress": "<string>",
"userAgent": "<string>"
},
"location": {
"country": "<string>",
"region": "<string>",
"city": "<string>"
},
"transaction": "<string>",
"device": {
"deviceId": "<string>",
"keyName": "<string>"
},
"isSecondFactorOnly": true,
"error": {
"code": 123,
"reason": "<string>"
}
}{
"code": 401,
"message": "Unauthorized"
}{
"code": 404,
"messsage": "Not Found."
}{
"code": 500,
"message": "Internal Server Error"
}Authorizations
Response
The full Hanko request for an initialized authentication operation including links